# coding=utf-8
# --------------------------------------------------------------------------
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class TenantParameters(Model):
    """Configuration options for creating new tenant.

    All required parameters must be populated in order to send to Azure.

    :param issuer_seed: (Optional) Issuer seed used for deterministic DID
     generation.
     If omitted, a random DID/Key is generated
    :type issuer_seed: str
    :param name: Required. The name of the tenant.
    :type name: str
    :param image_url: (Optional) Location of image URL used as profile for
     this tenant
    :type image_url: str
    :param network_id: (Optional) Ledger network identifier. Default is Sovrin
     Staging (sovrin-staging)
    :type network_id: str
    :param endorser_type: Possible values include: 'Shared', 'Dedicated',
     'Delegated'
    :type endorser_type: str or ~agency.models.enum
    """

    _validation = {
        'name': {'required': True},
    }

    _attribute_map = {
        'issuer_seed': {'key': 'issuerSeed', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'image_url': {'key': 'imageUrl', 'type': 'str'},
        'network_id': {'key': 'networkId', 'type': 'str'},
        'endorser_type': {'key': 'endorserType', 'type': 'str'},
    }

    def __init__(self, *, name: str, issuer_seed: str=None, image_url: str=None, network_id: str=None, endorser_type=None, **kwargs) -> None:
        super(TenantParameters, self).__init__(**kwargs)
        self.issuer_seed = issuer_seed
        self.name = name
        self.image_url = image_url
        self.network_id = network_id
        self.endorser_type = endorser_type
